Installed 3.08; now getting error messages

Get help with installation and running phpBB 3.0.x here. Please do not post bug reports, feature requests, or MOD-related questions here.
Suggested Hosts
Forum rules
END OF SUPPORT: 1 January 2017 (announcement)
Locked
chenpm
Registered User
Posts: 68
Joined: Sun Apr 11, 2010 9:40 am

Installed 3.08; now getting error messages

Post by chenpm »

Support Request Template
What version of phpBB are you using? phpBB 3.0.8
What is your board's URL? http://spssmessageboard.com
Who do you host your board with? http://ipage.com
How did you install your board? I used the download package from phpBB.com
Is your board a fresh install or a conversion? Update from a previous version of phpBB3
Do you have any MODs installed? Yes
Is registration required to reproduce this issue? No
What version of phpBB3 did you update from? phpBB 3.0.7
What MODs do you have installed? Ad management
What styles do you currently have installed? prosilver
What language(s) is your board currently using? English
Which database type/version are you using? MySQL 4
What is your level of experience? Comfortable with PHP and phpBB
When did your problem begin? When I tried to upload to phpBB 3.08
Please describe your problem. iPage's File Manager does not automatically upload or recognize configuration files with the extension ".cfg". I copied in the contents of phpBB's several configuration files into iPage's file generator using their extension ".config". After much bickering, iPage changed the extensions of my new files from ".config" to ".cfg". Several error messages ensued thereafter. The latest is

template->_tpl_load_file(): File ../adm/style/../../install/update/new/adm/style/install_update.html does not exist or is empty

I am not sure what I can do next.

Suggestions?
Generated by SRT Generator ($Rev: 4502 $)
Last edited by Pit$Bull on Mon Dec 06, 2010 5:22 pm, edited 1 time in total.
Reason: Topic icon changed
Pit$Bull
Former Team Member
Posts: 23099
Joined: Sat Dec 02, 2006 4:08 pm
Name: Can't Remember

Re: Installed 3.08; now getting error messages

Post by Pit$Bull »

Never use iPage's File Manager. Use a good FTP client like FileZilla

There is probably no way to tell what damage you did to your files and I suggest the following even though your MOD's will be lost.

Please follow exactly.
*NOTE: Before proceeding backup all files and the database.*
  • Upload all new files from a download of the full version, EXCEPT for config.php, the /images and /files folders.
  • Go to yoursite.com/forumfolder/install/database_update.php
  • Let that run and then delete the install folder.
  • You now have a new up to date board containing all your users and posts but without any MODs that you might have had installed.
chenpm
Registered User
Posts: 68
Joined: Sun Apr 11, 2010 9:40 am

Re: Installed 3.08; now getting error messages

Post by chenpm »

Hi,

Thank you for the quick response. Is there any way to save the Ad MOD since I have a lot of work in there?

Phil

[Edited to add, since I last posted I restored the board to an earlier backup, so it is running at this time. I will try to attempt another upgrade using Filezilla. Thanks]
chenpm
Registered User
Posts: 68
Joined: Sun Apr 11, 2010 9:40 am

Re: Installed 3.08; now getting error messages

Post by chenpm »

I'm back. I couldn't upgrade with Filezilla because iPage would not allow me to connect through Filezilla.

So I resorted to the nuclear option and removed phpBB entirely and then reinstalled phpBB Ver 3.08

Now I am getting the following error message:

General Error
SQL ERROR [ mysql4 ]

Table 'chenpm_IC_20100409_182122.phpbb_config' doesn't exist [1146]

An sql error occurred while fetching this page. Please contact an administrator if this problem persists.


What should I do?
Pit$Bull
Former Team Member
Posts: 23099
Joined: Sat Dec 02, 2006 4:08 pm
Name: Can't Remember

Re: Installed 3.08; now getting error messages

Post by Pit$Bull »

Find a host.
We cannot really recommend a host, but we do recommend that you visit WebHostingTalk
chenpm
Registered User
Posts: 68
Joined: Sun Apr 11, 2010 9:40 am

Re: Installed 3.08; now getting error messages

Post by chenpm »

Pit$Bull wrote:Find a host.
We cannot really recommend a host, but we do recommend that you visit WebHostingTalk
Thank you for that info, but my immediate problem is getting back on track. Can you suggest what I should be doing about this error statement?
Pit$Bull
Former Team Member
Posts: 23099
Joined: Sat Dec 02, 2006 4:08 pm
Name: Can't Remember

Re: Installed 3.08; now getting error messages

Post by Pit$Bull »

chenpm wrote: iPage changed the extensions of my new files from ".config" to ".cfg". Several error messages ensued thereafter.
I would suggest contacting iPage.
chenpm
Registered User
Posts: 68
Joined: Sun Apr 11, 2010 9:40 am

Re: Installed 3.08; now getting error messages

Post by chenpm »

Pit$Bull wrote:
chenpm wrote: iPage changed the extensions of my new files from ".config" to ".cfg". Several error messages ensued thereafter.
I would suggest contacting iPage.
iPage restored it, but then as I went to change the forums I made a mistake and now I'm sitting waiting for iPage to restore a version that has my data. If I want to kiss 6 months of postings off, I have a fully functioning phpBB Version 3.08 system. I mus tlearn to backup before making changes.

this also means that I have reload AutoMOD, Ad Management, and Logo Management.

I wish that I could make money off of this board to farm it out to people who understand these things.

Thanks for the help.

Phil
Locked

Return to “[3.0.x] Support Forum”